#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) 
{
	int x1, x2, y1, y2;
	cin>>x1>>y1>>x2>>y2;
	if (abs(x1 - x2) == abs (y1 - y2))
	{
	cout<<"1";
	return 0;
	}
	if (x1 == x2 || y1 == y2)
	{
	cout<<"2";
	return 0;
	
	}
	
	cout<<"0";
	
	return 0;
}